Skip to main content
DELETE
/
failover
/
{site_id}
/
configs
/
{subscription_id}
Deactivate Failover Service
curl --request DELETE \
  --url https://v1.api.altostrat.io/failover/{site_id}/configs/{subscription_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://v1.api.altostrat.io/failover/{site_id}/configs/{subscription_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://v1.api.altostrat.io/failover/{site_id}/configs/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "invalid_request_error",
  "code": "parameter_invalid",
  "message": "The value for 'type' must be one of the supported connection types.",
  "doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}
{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}
{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}
{
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "The value for 'type' must be one of the supported connection types.",
"doc_url": "https://docs.altostrat.io/errors/parameter_invalid"
}

Authorizations

Authorization
string
header
required

Enter your JWT in the format: Bearer

Path Parameters

site_id
string<uuid>
required

The unique identifier for the site.

Example:

"9c69345c-8d39-4786-9f17-8153c988c89a"

subscription_id
string<uuid>
required

The unique identifier of the Failover service subscription to deactivate.

Example:

"9c693485-0552-474c-a7c8-7b969a5330a1"

Response

The failover service and all associated tunnels were successfully deactivated and deleted.